package com.pcloud.book.adnews.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/7/17 15:55
 **/
@ApiModel("编辑新闻发送记录")
public class AdNewsGroupRecord extends BaseEntity{

    private static final long serialVersionUID = -3271071194854381077L;

    @ApiModelProperty("群id")
    private Long qrcodeId;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("社群码id")
    private Long bookGroupId;

    @ApiModelProperty("编辑新闻id")
    private Long adNewsId;

    @ApiModelProperty("编辑新闻设置id")
    private Long adNewsSetId;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("修改人")
    private Long updateUser;

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getAdNewsId() {
        return adNewsId;
    }

    public void setAdNewsId(Long adNewsId) {
        this.adNewsId = adNewsId;
    }

    public Long getAdNewsSetId() {
        return adNewsSetId;
    }

    public void setAdNewsSetId(Long adNewsSetId) {
        this.adNewsSetId = adNewsSetId;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    @Override
    public String toString() {
        return "AdNewsGroupRecord{" +
                "qrcodeId=" + qrcodeId +
                ", classifyId=" + classifyId +
                ", bookGroupId=" + bookGroupId +
                ", adNewsId=" + adNewsId +
                ", adNewsSetId=" + adNewsSetId +
                ", createUser=" + createUser +
                ", updateUser=" + updateUser +
                "} " + super.toString();
    }
}
